package com.ssj.bean.weixin.sales.domain;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/** 
 * @author  ZhangCaibao 
 * @version 2017年4月24日 上午10:56:52 
 * 类说明   销售价格表
 */
@Entity
@Table(name = "tb_lib_sales_price")
public class LibSalesPrice extends BaseEntity {
     /**
	 * 
	 */
	private static final long serialVersionUID = 6514236841896989992L;

	/**
      * 卡的种类S001阅读吧卡、S003作业吧、S004？、S005小塾（通讯费）
      */
	 private String species;
	 
	 /**
	  * (卡种类为1或2)1年卡，2半年卡，3季度卡，（卡种类为3）1 单次卡，2 VIP专席卡40小时，3 VIP专席卡120小时
	  */
	 private String  type;
	 /**
	  * 生成时间
	  */
	 private Date createTime;
	 /**
	  * 价格
	  */
	 private BigDecimal price;
	 /**
	  * 折扣价格
	  */
	 private BigDecimal discount;

	/**
	 * SSJ代表总部初始数据，其他代表各个图书馆
	 */
	private String libId;
	/**
	 * 服务名
	 */
	private String name;
	/**
	 * 别名
	 */
	private String aliases;
	/**
	 * 价格单位
	 */
	private String unit;
	/**
	 * 描述
	 */
	private String describe;

	public String getDescribe() {
		return describe;
	}

	public void setDescribe(String describe) {
		this.describe = describe;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getSpecies() {
		return species;
	}

	public void setSpecies(String species) {
		this.species = species;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getDiscount() {
		return discount;
	}

	public void setDiscount(BigDecimal discount) {
		this.discount = discount;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	@Column(updatable =false)
	public String getAliases() {
		return aliases;
	}

	public void setAliases(String aliases) {
		this.aliases = aliases;
	}
	 
	 
}
